<div class="documentation-content-container">
  <section class="mat-typography">
    <h2>Wrapper Input</h2>
    <p>
      The wrapper method selects a small panel of molecules for a subset of
      samples and evaluates the classification accuracy based on the selected
      panel. This process is repeated several times (>1,000 times), while the
      samples provided for molecule selection are randomized in every
      repetition, varying the composition of the selected panels. The wrapper
      outputs molecule panels and individual molecules that are ranked based on
      their frequency of selection. Like the filter, the wrapper uses
      cross-validation.
    </p>
    <p>
      <b>Molecule threshold</b> is the number of molecules used by the wrapper
      (e.g., 50 means that the 50 molecules with lowest p-value will be used).
      The default value is determined by the filter. This value is capped to 150
      molecules to limit the wrappers computation time.
    </p>
    <p>
      <b>Repeats</b> is the number of times the wrapper is repeated. Higher
      values result in better sampling of molecules but longer run times. Lower
      values result in shorter runtimes but more ambigous molecule panels.
    </p>
    <p><b>Folds</b> is the number of cross-validation folds in each repeat.</p>
  </section>

  <div class="outer-form-container">
    <form [formGroup]="formModel" (ngSubmit)="submitWrapperConfig()">
      <div class="inner-form-container">
        <mat-form-field appearance="outline">
          <mat-label>molecule cutoff</mat-label>
          <input type="number" matInput formControlName="moleculeCutoff" />
          <mat-error *ngIf="formModel.get('moleculeCutoff').invalid">{{
            getErrorMessage(formModel.get("moleculeCutoff"))
          }}</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline">
          <mat-label>repeats</mat-label>
          <input type="number" matInput formControlName="repeats" />
          <mat-error *ngIf="formModel.get('repeats').invalid">{{
            getErrorMessage(formModel.get("repeats"))
          }}</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline">
          <mat-label>folds</mat-label>
          <input type="number" matInput formControlName="folds" />
          <mat-error *ngIf="formModel.get('folds').invalid">{{
            getErrorMessage(formModel.get("folds"))
          }}</mat-error>
        </mat-form-field>
      </div>

      <button [disabled]="!formModel.valid" mat-flat-button color="accent">
        Next
      </button>
    </form>
  </div>
</div>
